summaryrefslogtreecommitdiffstats
path: root/admin
diff options
context:
space:
mode:
authorIrina Gómez <irinagomez@us.es>2020-11-09 09:59:06 +0100
committerIrina Gómez <irinagomez@us.es>2020-11-09 09:59:06 +0100
commitc2bd1e963b35f70eb76a1b3cb28bf61b4429d317 (patch)
treeb73ae19c9b61e36af3e3644c22e93ac9009d0bca /admin
parent15d8a191bcb1e9dcf961d9073e7c8153653e6b6e (diff)
#988 Fix opengnsys startup script.
The port value for 'faucet' is fixed, it does not depend on the ogserver configuration. Required for multicast transfer.
Diffstat (limited to 'admin')
-rwxr-xr-xadmin/Sources/Services/opengnsys.init25
1 files changed, 13 insertions, 12 deletions
diff --git a/admin/Sources/Services/opengnsys.init b/admin/Sources/Services/opengnsys.init
index e382df23..b14fde2e 100755
--- a/admin/Sources/Services/opengnsys.init
+++ b/admin/Sources/Services/opengnsys.init
@@ -19,19 +19,12 @@ IMAGEDIR=$BASEDIR/images
CLIENTLOGDIR=$BASEDIR/log/clients
#
-# Servidor de OpenGnsys
-#
-SERVERNAME=ogserver
-SERVERCFG=$BASEDIR/etc/$SERVERNAME.cfg
-
-#
# Servidor de Repositorio
#
############## ADV
REPOAUXNAME=ogAdmRepoAux
REPOAUXDAEMON=$BASEDIR/sbin/$REPOAUXNAME
-REPOAUXPORT=$(awk -F= '/PUERTO/ {print $2+1}' $SERVERCFG 2>/dev/null)
-############# IRINA
+REPOAUXPORT=2009
#
# Opciones Bittorrent
@@ -142,14 +135,22 @@ para_demonios() {
if [ -e $BTSEEDERPID ]; then
$ACTIONMSG "Parando demonio: $BTSEEDER"
$SEEDERSTOP
- [ $? = 0 ] && $SUCCESSMSG || $FAILMSG
- rm -f $BTSEEDERPID
+ if [ $? = 0 ]; then
+ $SUCCESSMSG
+ rm -f $BTSEEDERPID
+ else
+ $FAILMSG
+ fi
fi
if [ -e $BTTRACKPID ]; then
$ACTIONMSG "Parando demonio: $BTTRACK"
$TRACKERSTOP
- [ $? = 0 ] && $SUCCESSMSG || $FAILMSG
- rm -f $BTTRACKPID
+ if [ $? = 0 ]; then
+ $SUCCESSMSG
+ rm -f $BTTRACKPID
+ else
+ $FAILMSG
+ fi
fi
$ACTIONMSG "Parando demonio: $REPOAUXNAME"
pkill faucet